#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['make_pdf',
 'make_pdf.commands',
 'make_pdf.converters',
 'make_pdf.preprocessors']

package_data = \
{'': ['*'],
 'make_pdf': ['resources/*',
              'resources/filters/*',
              'resources/locales/*',
              'resources/locales/de/*',
              'resources/locales/de/LC_MESSAGES/*',
              'resources/locales/en/*',
              'resources/locales/en/LC_MESSAGES/*',
              'resources/tex/*',
              'resources/tex/letter/*',
              'resources/tex/plain_and_newsletter/*',
              'resources/tex/presentation/*']}

package_dir = \
{'': 'src'}

install_requires = \
['pypandoc >=1.6,<2', 'click >=8,<9', 'appdirs >=1.4,<2']

extras_require = \
{'changelog': ['towncrier >=21.3,<22'],
 'dev': ['black[d] >=21.4b0,<22', 'babel >=2.7,<3'],
 'doc': ['sphinx >=4.1,<5', 'sphinx-intl >=2,<3'],
 'publish': ['flit >=3.3,<4'],
 'test': ['pytest >=6.2.4,<7', 'pytest-mock >=3.6,<4']}

entry_points = \
{'console_scripts': ['make_pdf = make_pdf:cli']}

setup(name='make_pdf',
      version='0.1.0.post1',
      description='A command line tool to convert files to fancy PDFs',
      author=None,
      author_email='EorlBruder <eorl@bruder.space>',
      url=None,
      packages=packages,
      package_data=package_data,
      package_dir=package_dir,
      install_requires=install_requires,
      extras_require=extras_require,
      entry_points=entry_points,
      python_requires='>=3.6,<4',
     )
